/* 
	HexEditApplication.h

	Author:			Max Horn
	Description:	<describe the HexEditApplication class here>
*/

#pragma once

#ifndef HexEditApplication_H
#define HexEditApplication_H

#include	"ZApplication.h"
#include	"InternetConfig.h"


class HexEditApplication: public ZApplication
{
	ICInstance				mICInstance;
	
public:
	HexEditApplication();
	virtual ~HexEditApplication();

	virtual void			StartUp();
	virtual void			ShutDown();
	virtual void			RegisterClasses();
	virtual ZWindow*		MakeNewWindowType( OSType aType );

	virtual void			AboutBox();
	virtual void			DoPreferences();

	virtual void			HandleCommand( const ZoopCommand aCmd );
	virtual void			UpdateMenus();
};

#endif	// HexEditApplication_H
