/* 
	PrefsDialog.cpp

	Author:			Max Horn
	Description:	<describe the PrefsDialog class here>
*/

#include	"PrefsDialog.h"
#include	"MacZoop.h"



PrefsDialog::PrefsDialog()
	: ZViewDialog( gApplication, 500 )
{
	fInline = TRUE;
}


PrefsDialog::~PrefsDialog()
{
}


/*---------------------------------***  ItemClicked  ***--------------------------------*/
/*
access:			public
overrides:		ZViewDialog
description: 	an item was clicked - deal with it.
ins: 			<theItem> item that was clicked
outs: 			none
notes:			
----------------------------------------------------------------------------------------*/

void		PrefsDialog::ItemClicked( const short theItem )
{
	ZViewDialog::ItemClicked( theItem );
	
	if ( theItem == fDefaultItem )
	{
		Hide();
	}
	else if ( theItem == fEscapeItem )
	{
		// Cancel the prefs changes made...
		Hide();
	}
}

